#include "AMI.h"

#include "util.h"

AMI::AMI(SDL_Renderer* renderer)
    : View{renderer}, avenir{util::load_font(AVENIR_FONT_PATH, 28)} {
  SDL_Rect logo_rect = {.x = 182, .y = 0, .w = 116, .h = 40};
  widgets.emplace_back(
      std::make_unique<ImageWidget>(renderer, logo_rect, FT_LOGO_PATH));
  SDL_Rect choose_rect = {.x = 0, .y = 45, .w = 480, .h = 40};
  widgets.emplace_back(std::make_unique<TextWidget>(
      renderer, choose_rect, avenir, "Choose a Mission:"));
}

void AMI::draw() {
  SDL_SetRenderDrawColor(renderer, 0x00, 0x00, 0x00, 0xFF);
  SDL_RenderClear(renderer);
  for (const auto& widget : widgets) {
    widget->draw();
  }
}